clang 8.0.0

Public Member Functions | List of all members
clang::CodeGen::EHScopeStack::ConditionalCleanup< T, As > Class Template Referencefinal

ConditionalCleanup stores the saved form of its parameters, then restores them and performs the cleanup. More...

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/CodeGen/EHScopeStack.h"`

Inheritance diagram for clang::CodeGen::EHScopeStack::ConditionalCleanup< T, As >:
[legend]
Collaboration diagram for clang::CodeGen::EHScopeStack::ConditionalCleanup< T, As >:
[legend]

## Public Member Functions
| ConditionalCleanup (typename DominatingValue< As >::saved_type... A)
| ConditionalCleanup (SavedTuple Tuple)
Public Member Functions inherited from clang::CodeGen::EHScopeStack::Cleanup
| Cleanup (const Cleanup &)=default
| Cleanup (Cleanup &&)
| Cleanup ()=default

## Additional Inherited Members
Protected Member Functions inherited from clang::CodeGen::EHScopeStack::Cleanup
| ~Cleanup ()=default

## Detailed Description

### template<class T, class... As>
class clang::CodeGen::EHScopeStack::ConditionalCleanup< T, As >

ConditionalCleanup stores the saved form of its parameters, then restores them and performs the cleanup.

Definition at line 198 of file EHScopeStack.h.

## Constructor & Destructor Documentation

## ◆ ConditionalCleanup() [1/2]

template<class T , class... As>

clang::CodeGen::EHScopeStack::ConditionalCleanup< T, As >::ConditionalCleanup | ( | typename DominatingValue< As >::saved_type... | A | ) |
| inline

Definition at line 214 of file EHScopeStack.h.

## ◆ ConditionalCleanup() [2/2]

template<class T , class... As>

clang::CodeGen::EHScopeStack::ConditionalCleanup< T, As >::ConditionalCleanup | ( | SavedTuple | Tuple | ) |
| inline

Definition at line 217 of file EHScopeStack.h.

The documentation for this class was generated from the following file:

- lib/CodeGen/EHScopeStack.h